summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorDavid Seifert <soap@gentoo.org>2017-03-11 11:44:12 +0100
committerDavid Seifert <soap@gentoo.org>2017-03-11 11:48:27 +0100
commit3319f51ec19fe3c69de6dcfe7f931b2382716548 (patch)
tree11dd187ab59809e2015f2f9662a44f7f7a5822aa /sci-mathematics
parentsci-mathematics/otter: Remove old (diff)
downloadgentoo-3319f51ec19fe3c69de6dcfe7f931b2382716548.tar.gz
gentoo-3319f51ec19fe3c69de6dcfe7f931b2382716548.tar.bz2
gentoo-3319f51ec19fe3c69de6dcfe7f931b2382716548.zip
sci-mathematics/yacas: Minor fixes
Package-Manager: Portage-2.3.4, Repoman-2.3.2
Diffstat (limited to 'sci-mathematics')
-rw-r--r--sci-mathematics/yacas/yacas-1.6.1-r1.ebuild (renamed from sci-mathematics/yacas/yacas-1.6.1.ebuild)45
1 files changed, 26 insertions, 19 deletions
diff --git a/sci-mathematics/yacas/yacas-1.6.1.ebuild b/sci-mathematics/yacas/yacas-1.6.1-r1.ebuild
index f6ac813dc00..66d4e6ae5da 100644
--- a/sci-mathematics/yacas/yacas-1.6.1.ebuild
+++ b/sci-mathematics/yacas/yacas-1.6.1-r1.ebuild
@@ -1,8 +1,9 @@
# Copyright 1999-2017 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
+
EAPI=6
-CMAKE_IN_SOURCE_BUILD=0
+CMAKE_IN_SOURCE_BUILD=1
inherit java-pkg-opt-2 cmake-utils
@@ -15,26 +16,32 @@ LICENSE="GPL-2"
KEYWORDS="~amd64 ~x86"
IUSE="doc gui java +jupyter static-libs"
-DEPEND="
+COMMON_DEPEND="
+ gui? (
+ dev-qt/qtcore:5[icu]
+ dev-qt/qtgui:5
+ dev-qt/qtwidgets:5
+ dev-qt/qtnetwork:5
+ dev-qt/qtwebkit:5
+ dev-qt/qtmultimedia:5
+ dev-qt/qtsql:5
+ dev-qt/qtprintsupport:5
+ dev-qt/qtopengl:5
+ dev-qt/qtprintsupport:5
+ )
+ jupyter? (
+ dev-python/jupyter
+ dev-libs/boost:=
+ dev-libs/jsoncpp:=
+ dev-libs/openssl:0=
+ net-libs/zeromq
+ >=net-libs/zmqpp-4.1.2
+ )"
+DEPEND="${COMMON_DEPEND}
doc? ( dev-python/sphinx )
- gui? ( >=dev-qt/qtcore-5.5[icu]
- >=dev-qt/qtgui-5.5
- >=dev-qt/qtwidgets-5.5
- >=dev-qt/qtnetwork-5.5
- >=dev-qt/qtwebkit-5.5
- >=dev-qt/qtmultimedia-5.5
- >=dev-qt/qtsql-5.5
- >=dev-qt/qtprintsupport-5.5
- >=dev-qt/qtopengl-5.5
- >=dev-qt/qtprintsupport-5.5 )
- jupyter? ( dev-python/jupyter
- dev-libs/boost
- dev-libs/jsoncpp
- dev-libs/openssl:0
- net-libs/zeromq
- >=net-libs/zmqpp-4.1.2 )
java? ( >=virtual/jdk-1.6 )"
-RDEPEND="java? ( >=virtual/jre-1.6 )"
+RDEPEND="${COMMON_DEPEND}
+ java? ( >=virtual/jre-1.6 )"
src_configure() {
local mycmakeargs=(